# Messages

Functions to print various kind of messages.

  Functions

  void vrna_message_error(const char *format, ...)
    #include <ViennaRNA/utils/basic.h>

    Print an error message and die.

    This function is a wrapper to fprintf(stderr, …) that puts a capital ERROR: in front of the message and then exits the calling program.

    See also

    vrna_message_verror(), vrna_message_warning(), vrna_message_info()

    Parameters:

      - format – The error message to be printed

      - ... – Optional arguments for the formatted message string

  void vrna_message_verror(const char *format, va_list args)
    #include <ViennaRNA/utils/basic.h>

    Print an error message and die.

    This function is a wrapper to vfprintf(stderr, …) that puts a capital ERROR: in front of the message and then exits the calling program.

    See also

    vrna_message_error(), vrna_message_warning(), vrna_message_info()

    Parameters:

      - format – The error message to be printed

      - args – The argument list for the formatted message string

  void vrna_message_warning(const char *format, ...)
    #include <ViennaRNA/utils/basic.h>

    Print a warning message.

    This function is a wrapper to fprintf(stderr, …) that puts a capital WARNING: in front of the message.

    See also

    vrna_message_vwarning(), vrna_message_error(), vrna_message_info()

    Parameters:

      - format – The warning message to be printed

      - ... – Optional arguments for the formatted message string

  void vrna_message_vwarning(const char *format, va_list args)
    #include <ViennaRNA/utils/basic.h>

    Print a warning message.

    This function is a wrapper to fprintf(stderr, …) that puts a capital WARNING: in front of the message.

    See also

    vrna_message_vwarning(), vrna_message_error(), vrna_message_info()

    Parameters:

      - format – The warning message to be printed

      - args – The argument list for the formatted message string

  void vrna_message_info(FILE *fp, const char *format, ...)
    #include <ViennaRNA/utils/basic.h>

    Print an info message.

    This function is a wrapper to fprintf(…).

    See also

    vrna_message_vinfo(), vrna_message_error(), vrna_message_warning()

    Parameters:

      - fp – The file pointer where the message is printed to

      - format – The warning message to be printed

      - ... – Optional arguments for the formatted message string

  void vrna_message_vinfo(FILE *fp, const char *format, va_list args)
    #include <ViennaRNA/utils/basic.h>

    Print an info message.

    This function is a wrapper to fprintf(…).

    See also

    vrna_message_vinfo(), vrna_message_error(), vrna_message_warning()

    Parameters:

      - fp – The file pointer where the message is printed to

      - format – The info message to be printed

      - args – The argument list for the formatted message string

  void vrna_message_input_seq_simple(void)
    #include <ViennaRNA/utils/basic.h>

    Print a line to stdout that asks for an input sequence.

    There will also be a ruler (scale line) printed that helps orientation of the sequence positions

  void vrna_message_input_seq(const char *s)
    #include <ViennaRNA/utils/basic.h>

    Print a line with a user defined string and a ruler to stdout.

    (usually this is used to ask for user input) There will also be a ruler (scale line) printed that helps orientation of the sequence positions

    Parameters:

      - s – A user defined string that will be printed to stdout

  void vrna_message_input_msa(const char *s)
    #include <ViennaRNA/utils/basic.h>